summaryrefslogtreecommitdiffstats
path: root/remote
diff options
context:
space:
mode:
authorSimon Rettberg2014-01-20 17:43:06 +0100
committerSimon Rettberg2014-01-20 17:43:06 +0100
commit5291a12e65a0bb5b09fef4f273b1a76c2d427ca3 (patch)
treee61073a405595dfab301b4838ac033d0d2f5441d /remote
parent[vmware] Extend some vmware config (diff)
downloadtm-scripts-5291a12e65a0bb5b09fef4f273b1a76c2d427ca3.tar.gz
tm-scripts-5291a12e65a0bb5b09fef4f273b1a76c2d427ca3.tar.xz
tm-scripts-5291a12e65a0bb5b09fef4f273b1a76c2d427ca3.zip
[rfs-stage32] Append stage4 at the end of the aufs stack again and just copy the ld-config after mounting
Diffstat (limited to 'remote')
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_stage45
1 files changed, 4 insertions, 1 deletions
diff --git a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_stage4 b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_stage4
index abc28f73..d0a3bc29 100755
--- a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_stage4
+++ b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_stage4
@@ -50,7 +50,9 @@ else
fi
echo "Appending $MOUNTPOINT to /"
-if ! mount -o "remount,add:1:$MOUNTPOINT=ro" /; then
+if mount -o "remount,append:$MOUNTPOINT=ro" /; then
+ cp -r "${MOUNTPOINT}/"etc/ld.* /etc/ || echo "Could not really copy full blown ldconfig from stage4 to live system"
+else
slxlog --echo "mount-stage4" "Could not append mounted stage4 at '$MOUNTPOINT' to aufs at /"
exit 1
fi
@@ -62,3 +64,4 @@ systemctl reload dbus.service
systemctl start stage4.target &
exit 0
+